/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * Input for EMAIL verification.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class EmailInput extends com.google.api.client.json.GenericJson {

  /**
   * Email address where the PIN should be sent to. An email address is accepted only if it is one
   * of the addresses provided by FetchVerificationOptions. If the EmailVerificationData has
   * is_user_name_editable set to true, the client may specify a different user name (local-part)
   * but must match the domain name.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String emailAddress;

  /**
   * Email address where the PIN should be sent to. An email address is accepted only if it is one
   * of the addresses provided by FetchVerificationOptions. If the EmailVerificationData has
   * is_user_name_editable set to true, the client may specify a different user name (local-part)
   * but must match the domain name.
   * @return value or {@code null} for none
   */
  public java.lang.String getEmailAddress() {
    return emailAddress;
  }

  /**
   * Email address where the PIN should be sent to. An email address is accepted only if it is one
   * of the addresses provided by FetchVerificationOptions. If the EmailVerificationData has
   * is_user_name_editable set to true, the client may specify a different user name (local-part)
   * but must match the domain name.
   * @param emailAddress emailAddress or {@code null} for none
   */
  public EmailInput setEmailAddress(java.lang.String emailAddress) {
    this.emailAddress = emailAddress;
    return this;
  }

  @Override
  public EmailInput set(String fieldName, Object value) {
    return (EmailInput) super.set(fieldName, value);
  }

  @Override
  public EmailInput clone() {
    return (EmailInput) super.clone();
  }

}
